# Method: customers.policySchemas.list

- [HTTP request](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/list#body.request_body)
- [Response body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/list#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/list#body.ListPolicySchemasResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/list#body.aspect)
- [Try it!](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas/list#try-it)

Gets a list of policy schemas that match a specified filter value for a given customer.

### HTTP request

`GET https://chromepolicy.googleapis.com/v1/{parent=customers/*}/policySchemas`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The customer for which the listing request will apply. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` The schema filter used to find a particular schema based on fields like its resource name, description and `additionalTargetKeyNames`. |
| `pageSize` | `integer` The maximum number of policy schemas to return, defaults to 100 and has a maximum of 1000. |
| `pageToken` | `string` The page token used to retrieve a specific page of the listing request. |

### Request body

The request body must be empty.

### Response body

Response message for listing policy schemas that match a filter.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "policySchemas": [ { object (`https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas#PolicySchema`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `policySchemas[]` | ``object (`https://developers.google.com/chrome/policy/reference/rest/v1/customers.policySchemas#PolicySchema`)`` The list of policy schemas that match the query. |
| `nextPageToken` | `string` The page token used to get the next page of policy schemas. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chrome.management.policy.readonly`
- `https://www.googleapis.com/auth/chrome.management.policy`